from tkinter import *
from tkinter import ttk
from tkinter import messagebox
from cview_controller import *
from cview_log import *

class Application(Tk):
    def __init__(self):
        # call base init (creates empty root window)
        super(Application, self).__init__()
        # set root title
        self.title('CWG GUI')
        # start the controller
        # subsequently creates model and view(s)
        self.controller = Controller(self)
        # hide root window (views use Toplevel windows)
        self.withdraw()
        # start application loop
        self.mainloop()

if __name__ == '__main__':
    app = Application()
